---
draft: true
title: "How I set up my personal devop environment"
date: "2021-05-03"
---

{{< table_of_contents >}}

## Introduction

During the second year of my bachelor, I became more and more intrigued by
self-hosting. As the interest spiralled out of control, more and more of the
things I used on a daily basis were being replaced by tools that I managed
myself. Considering that I'm an avid programmer, setting up my own development
environment seemed like an obvious next step.

The stack I ended up with consists of three parts:
[Gitea](https://gitea.io/en-us/) as a GitHub alternative,
[Renovatebot](https://www.whitesourcesoftware.com/free-developer-tools/renovate/)
to check for updates & [Woodpecker](https://github.com/laszlocph/woodpecker)
for CICD pipelines. In this post, I'll be explaining how I set up each of these
services, and how I connected them.
